@import url("https://fonts.googleapis.com/css2?family=Courgette&family=Fasthand&display=swap");


:root{
  --main-color:#819A9E;
}
.fd-submit {
  margin-top: 1rem;
  display: inline-block;
  padding: 0.9rem 3rem;
  font-size: 1.7rem;
  color: #fff;
  background: var(--main-color);
  cursor: pointer;
}

#feedback {
  background-color: #fff;
  border-radius: 30px;
  width: 1100px;
  height: auto;
  margin-left: 250px;
  margin-bottom: 100px;
  text-align: center;
}

#feedback p {
  color: var(--main-color);
  font-size: 4rem;
  font-family: "Courgette", cursive;
  padding-top: 15px;
  padding-bottom: 25px;
}

#fdi-input {
  width: 700px;
  height: 60px;
  border-radius: 7px;
  background: #e9e9e9;
  border: 2px dotted #c0c0c0;
  padding-left: 15px;
}

.btn-submit-fd {
  margin-top: 1rem;
  display: inline-block;
  padding: 0.9rem 3rem;
  font-size: 1.7rem;
  color: #fff;
  background: var(--main-color);;
  cursor: pointer;
}

@media screen and (max-width: 700px) {
  #feedback {
    width: 400px;
    height: auto;
    margin-left: 45px;
    margin-top: 25px;
  }

  #feedback p {
    font-size: 3rem;
  }

  #fdi-input {
    width: 400px;
    height: 60px;
    padding-left: 15px;
  }
}

.rate {
  margin-right: 250px;
  height: 45px;
  margin-bottom: 15px;
}

.rate:not(:checked) > input {
  position: absolute;
  top: -9999px;
}

.rate:not(:checked) > label {
  float: right;
  width: 1em;
  overflow: hidden;
  white-space: nowrap;
  cursor: pointer;
  font-size: 30px;
  color: #bdbdbd;
}

.rate:not(:checked) > label:before {
  content: "★ ";
}

.rate > input:checked ~ label {
  color: var(--main-color);;
}

.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
  color: var(--main-color);;
}

.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
  color:var(--main-color);
}

@media screen and (max-width: 220px) {
  #feedback {
    border-radius: 30px;
    width: 90vw;
    height: auto;
    text-align: center;
    margin-left: 10px;
    margin-right: 400px;
  }
  #feedback p {
    font-size: 1.8rem;
    font-family: "Courgette", cursive;
    padding-top: 15px;
    padding-bottom: 15px;
  }
  #fdi-input {
    width: 100px;
    height: 40px;
    border-radius: 7px;
    padding-left: 15px;
  }
  .btn-submit-fd {
    margin-top: 1rem;
    margin-right: 1rem;
    width: 140px;
    padding: 0.9rem 1.3rem;
    font-size: 1.2rem;
  }
  .rate {
    margin-right: 100px;
    height: 15px;
    margin-bottom: 15px;
  }

  .rate:not(:checked) > label {
    width: 1em;
    font-size: 15px;
  }
}

@media screen and (max-width: 300px) {
  #feedback {
    border-radius: 30px;
    width: 90vw;
    height: auto;
    text-align: center;
    margin-left: 15px;
    margin-right: 420px;
  }
  #feedback p {
    font-size: 1rem;
    font-family: "Courgette", cursive;
    padding-top: 15px;
    padding-bottom: 15px;
  }
  #fdi-input {
    width: 10px;
    height: 40px;
    border-radius: 7px;
    padding-left: 15px;
  }
  .btn-submit-fd {
    margin-top: 1rem;
    margin-right: 1rem;
    width: 150px;
    padding: 0.9rem 1rem;
    font-size: 1.2rem;
  }
  .rate {
    margin-right: 200px;
    height: 30px;
    margin-bottom: 15px;
  }

  .rate:not(:checked) > label {
    width: 8em;
    font-size: 10px;
  }
}

@media screen and (max-width: 600px) {
  #feedback {
    border-radius: 30px;
    width: 90vw;
    height: auto;
    text-align: center;

    margin-left: 25px;
    margin-right: 420px;
  }
  #feedback p {
    font-size: 3rem;
    font-family: "Courgette", cursive;
    padding-top: 15px;
    padding-bottom: 15px;
  }
  #fdi-input {
    width: 300px;
    height: 40px;
    border-radius: 7px;
    padding-left: 15px;
  }
  .btn-submit-fd {
    margin-top: 1rem;
    margin-right: 2rem;
    width: 170px;
    padding: 0.9rem 1rem;
    font-size: 1.2rem;
  }
  .rate {
    height: 30px;
    margin-bottom: 20px;
  }

  .rate:not(:checked) > label {
    width: 1em;
    font-size: 15px;
  }
}
